%Example 10-6 Catalyst Decay in a Fluidized Bed Modeled as a CSTR
clear
clc
close all
tspan = [0 0.5]; % Range for the time of the reaction 
y0 = [1;0.8]; % Initial values for the dependent variables
[t y]=ode45(@ODEfun,tspan,y0);
z=size(y);
Ca0 = .8;
Ct0 = 1;
yao = Ca0/Ct0;
for i=1:z
    X(i) = 1-(1+yao)/(1+y(i,2)/Ct0)*y(i,2)/Ca0;
end
plot(t,y(:,1),t,y(:,2),t,X);
legend('a','Ca(mol/dm^3)','X')
xlabel('time(hr)')